Start payment

This endpoint initiates the payment according to the provided parameters and returns the link to pay for it.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Parameters:

  • coveredBy
  • keepSourceCurrency
  • successCallbackUrl
  • failureCallbackUrl
  • notificationsUrl
    can be also set permanently in the store settings. In case of a different value in API request - it will be used one time only and will not save the permanent value in the panel.
{
  "destinationCurrency": "EUR",
  "orderId": "e5rh45uq34udomAEADFGqa3ySDF3sd",
  "price": 100,
  "sourceCurrency": "BTC",
  "keepSourceCurrency": true
}
{
  "destinationCurrency": "EUR",
  "orderId": "e5rh45uq34udomAEADFGqa3ySDF3sd",
  "price": 100
}
{
  "coveredBy": "BUYER",
  "destinationCurrency": "EUR",
  "orderId": "e5rh45uq34udomAEADFGqa3ySDF3sd",
  "price": 100,
  "sourceCurrency": "BTC"
}

Response details:

KeyTypeDescription
dataarrayResponse body.
paymentIdUUIDInternal unique identifier for
payment. In the next stage it
can be used to obatin
information about the
initiated payment.
urlstringThe URL address to
process the payment.

Payment status notification change

notificationsUrl - a message consisting of the below parameters will be sent to the given
address. The address can be also set permanently in the store settings, and when it is
re-sent in the request - the settings will automatically overwrite. After receiving the response, you
have to additionally query the payment details endpoint to confirm the message to be
absolutely sure about the data compliance. This will help to avoid the situation when
someone finds out your notificationsUrl and will try to spoof the notification. In case of
sandbox mode - the endpoint will return a real status of the transaction.

  • paymentId - unique payment identifier
  • orderId - previously assigned, order ID from your system
  • amountToPayInSourceCurrency - amount of funds to be paid in source
    currency
  • amountToPayInDestinationCurrency - amount of funds to be obtained in the
    destination currency
  • status - payment status - this parameter is being sent once when the transaction reaches the required number of confirmations from the network. You can select the number of confirmations in the settings section of the given store. It is PAID status.
  • paidAmount - - the amount of funds currently paid in source currency
{
  "paymentId": "ed67efbb-d2fa-4b6a-945a-470a1db324b5",
  "orderId": "8e2d9b79-be84-4ea9-a857-fc8d2d1d6420",
  "amountToPayInSourceCurrency": 0.22666667,
  "amountToPayInDestinationCurrency": 1,
  "status": "PAID",
  "paidAmount": 0.22666667
}
Body Params
string
required

Currency, which is used to define payment value.

double
required

Payment value in destinationCurrency

string
required

ID of order in your shop/system.

string

Currency in which customer will pay. If it is different than the destinationCurrency - our system will perform the currency exchange. Make sure than currency exchange is available on selected currency pair using the next endpoint.

string

Who pays the payment commission: MERCHANT or BUYER.

boolean

If keep the source currency. If it's true you will receive funds in sourceCurrency, otherwise system will perform currency exchange and you will get funds in destinationCurrency.

string

The URL of the page to which the customer will be redirected after successful payment.

string

The URL of the page to which the customer will be redirected in case of unsuccessful payment.

string

The URL of the page to which the notification of the payment status change will be sent. You will find more information in the next section.

string

Customer e-mail address where payment status changes will be sent

string
enum

ISO-2 language code for notification e-mail

Allowed:
string

The channel to use with the given sourceCurrency, uses default if empty

string

Id generated for partner

Response

Language
Credentials
Query
LoadingLoading…
Response
Choose an example:
application/json